OpenWithView

OpenWithView v1.11
Copyright (c) 2008 - 2009 Nir Sofer
Web site: http://www.nirsoft.net

Description

OpenWithView is a small utility that displays the list of all available applications in the 'Open With' dialog-box of Windows, and allows you to easily disable/enable the applications in the list. When application is disabled, it won't be displayed in the 'Other Programs' section of the 'Open With' dialog-box.
This utility can be useful if your 'Open With' window displays too much applications, and you want to remove the applications that you don't use frequently.

System Requirements

This utility works under Windows XP, Windows 2003 Server, and Windows Vista. In earlier versions of Windows, OpenWithView will display the list of 'Open With' window entries, but disable/enable feature won't work.

Versions History

  • Version 1.11 - Fixed the icons problem on Windows 7/x64
  • Version 1.10 - Added 4 columns of process version information: Product Name, Product Description, Product Version, Company Name.
  • Version 1.02 - Added support for saving as comma-delimited file.
  • Version 1.01 - Fixed bug: The main window lost the focus when the user switched to another application and then returned back to OpenWithView.
  • Version 1.00 - First release.

Using OpenWithView

OpenWithView doesn't require any installation process or additional DLL files. In order to start using it, simply run the executable file - OpenWithView.exe
The main window of OpenWithView displays the list of all applications in the 'Open With' window. You can select one or more items and then use the F8 key to disable them and F7 to enable back the disabled items.

Translating OpenWithView to other languages

In order to translate OpenWithView to other language, follow the instructions below:
  1. Run OpenWithView with /savelangfile parameter:
    OpenWithView.exe /savelangfile
    A file named OpenWithView_lng.ini will be created in the folder of OpenWithView utility.
  2. Open the created language file in Notepad or in any other text editor.
  3. Translate all string entries to the desired language. Optionally, you can also add your name and/or a link to your Web site. (TranslatorName and TranslatorURL values) If you add this information, it'll be used in the 'About' window.
  4. After you finish the translation, Run OpenWithView, and all translated strings will be loaded from the language file.
    If you want to run OpenWithView without the translation, simply rename the language file, or move it to another folder.

License

This utility is released as freeware. You are allowed to freely distribute this utility via floppy disk, CD-ROM, Internet, or in any other way, as long as you don't charge anything for this. If you distribute this utility, you must include all files in the distribution package, without any modification !

Disclaimer

The software is provided "AS IS" without any warranty, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The author will not be liable for any special, incidental, consequential or indirect damages due to loss of data or any other reason.

Feedback

If you have any problem, suggestion, comment, or you found a bug in my utility, you can send a message to nirsofer@yahoo.com